`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 01/25/2017 09:53:39 AM
// Design Name: 
// Module Name: top
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module top(
    input clk,
    input btnC,
    output [7:0] JA
);
    wire dBtnC;
    reg [1:0] sdBtnC;
    reg ssrON;
    debouncer #(
        .COUNTER_WIDTH(16),
        .COUNTER_MAXIMUM(2**16-1)
    ) m_getDBtnC (
        .clk(clk),
        .din(btnC),
        .dout(dBtnC)
    );
    always@(posedge clk)
        sdBtnC <= {sdBtnC[0], dBtnC};
    always@(posedge clk)
        if (sdBtnC == 2'b01) // posedge
            ssrON <= ~ssrON;
    assign JA[7:1] = 7'bzzzzzzz;
    assign JA[0] = ssrON;
endmodule
